<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<?php do_action( 'vw_magazine_before_slider' ); ?>

<section class="custom-container" id="post-carousel">
  <div style="width:100%;">
    <div id="scrollslider" class="scrollSlider">
      <div class="viewport">
        <div class="overview">
            <?php
            if ( get_query_var('paged') ) {
                $paged = get_query_var('paged'); 
            } elseif ( get_query_var('page') ) { 
                $paged = get_query_var('page'); 
            } else { 
                $paged = 1; 
            }
            $args = array(
              'post_type' => 'post',
              'post_status' => 'publish','category_name' =>  get_theme_mod('vw_magazine_post_carousel_category'),
              'posts_per_page' =>  -1
            );?>
            <?php
            $new = new WP_Query($args); 
            $loop_index = 0; $i=1;
            while ( $new->have_posts() ){
            $new->the_post();  ?>
            <div class="single_post">
              <div class="pcontent-box">
                <div class="post-carousel-col">
                  <div class="posts_cat_share">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="posts_cat_btn"><?php the_category() ?></div>
                      </div>
                      <div class="col-md-6">
                        <div class="posts_share_icon"><i class="fas fa-share-alt"></i></div>
                      </div>
                    </div>
                  </div>
                  <?php if (has_post_thumbnail()){ ?>
                    <div class="post-carousel-image">
                      <?php the_post_thumbnail(); ?>
                    </div>
                  <?php } ?>
                  <div class="posts_box">
                    <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html(the_title()); ?></a></h6>
                    <p class="auther-info">                      
                      <i class="fas fa-user"></i>
                        <span class="author"><?php echo esc_html('By '); the_author(); ?></span>
                      <i class="fas fa-clock"></i>
                        <span class="date"><?php the_date();?></span>
                    </p>
                  </div>
                  <div class="post-carousel-overlay">
                    <div class="post-carousel-text">
                      	<div class="about-socialbox pt-3">
                          	<div class="att_socialbox">
                            <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo the_permalink(); ?>" target="_parent"><i class="fab fa-facebook-f" aria-hidden="true"></i></a>
                            <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo the_permalink(); ?>&title=<?php echo the_title(); ?>&source=<?php echo the_title(); ?>" target="_parent"><i class="fab fa-linkedin-in" aria-hidden="true"></i></a>
                            <a href="https://plus.google.com/share?url=<?php echo the_permalink(); ?>" target="_parent"><i class="fab fa-google-plus-g" aria-hidden="true"></i></a>
                            <a href="https://twitter.com/share?url=<?php echo the_permalink(); ?>&amp;text=<?php echo the_title(); ?>" target="_blank"><i class="fab fa-twitter" aria-hidden="true"></i></a>
                            <a href="https://instagram.com/share?url=<?php echo the_permalink(); ?>&amp;text=<?php echo the_title(); ?>" target="_blank"><i class="fab fa-instagram"></i></a>
                          </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <?php $i++; } ?>
        </div>
      </div>
      <div class="scrollbar">
        <div class="track"></div>
      </div>
    </div>
  </div>    
    <div class="clearfix"></div>
</section>

<?php do_action( 'vw_magazine_after_slider' ); ?>

<section id="latest_post">
  <div class="container">
    <?php if(get_theme_mod('vw_magazine_latest_post_title','' != '')){?>
      <div class="headingbox">
        <div class="heading-outer">
          <div class="heading-title">
            <h3><?php echo esc_html(get_theme_mod('vw_magazine_latest_post_title',__('WHATS HOT?','vw-magazine'))); ?></h3>
          </div>
        </div>
      </div>
    <?php }?>
    <div class="owl-carousel mt-4">
      <?php
        $args = array(
          'post_type' => 'post',
          'post_status' => 'publish',
          'category_name' =>  get_theme_mod('vw_magazine_latest_post_category'),
          'posts_per_page' =>  -1
        );?>
        <?php
        $new = new WP_Query($args); 
        $loop_index = 0; $i=1;
         while ( $new->have_posts() ){
          $new->the_post();  ?>
          <div class="<?php if($i == 1){ echo 'active';}?>"> 
            <div class="single_post">
              <div class="pcontent-box">
                <div class="post-carousel-col">
                  <div class="posts_cat_share">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="posts_cat_btn"><?php the_category() ?></div>
                      </div>
                      <div class="col-md-6">
                        <div class="posts_share_icon"><i class="fas fa-share-alt"></i></div>
                      </div>
                    </div>
                  </div>
                  <?php if (has_post_thumbnail()){ ?>
                    <div class="post-carousel-image">
                      <?php the_post_thumbnail(); ?>
                    </div>
                  <?php } ?>                
                  <div class="post-carousel-overlay">
                    <div class="post-carousel-text">
                      <div class="att-socialbox pt-3">
                          <div class="att_socialbox">
                            <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo the_permalink(); ?>" target="_parent"><i class="fab fa-facebook-f" aria-hidden="true"></i></a>
                            <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo the_permalink(); ?>&title=<?php echo the_title(); ?>&source=<?php echo the_title(); ?>" target="_parent"><i class="fab fa-linkedin-in" aria-hidden="true"></i></a>
                            <a href="https://plus.google.com/share?url=<?php echo the_permalink(); ?>" target="_parent"><i class="fab fa-google-plus-g" aria-hidden="true"></i></a>
                            <a href="https://twitter.com/share?url=<?php echo the_permalink(); ?>&amp;text=<?php echo the_title(); ?>" target="_blank"><i class="fab fa-twitter" aria-hidden="true"></i></a>                            
                          </div>
                      </div>
                    </div>
                  </div>                
                </div>
              </div>
              <div class="latest_posts_box pt-3 pb-3">
                <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html(the_title()); ?></a></h3>
                <p class="auther-info">                      
                  <i class="fas fa-user"></i>
                    <span class="author"><?php echo esc_html('By '); the_author(); ?></span>
                  <i class="fas fa-clock"></i>
                    <span class="date"><?php the_date();?></span>
                </p>
              </div>
            </div>
          </div>
        <?php $i++; }
        wp_reset_query(); ?>
    </div>
  </div>
</section>
<?php do_action( 'vw_magazine_after_latest_posts' ); ?>

<div class="container">
  <?php while ( have_posts() ) : the_post(); ?>
    <?php the_content(); ?>
  <?php endwhile; // end of the loop. ?>
</div>

<?php get_footer(); ?>