<div id="top-bar">
  <div class="row m-0">
    <div class="col-lg-4 col-md-4 contact-top">
      <div class="row m-0">
        <div class="col-md-5 offset-md-1">
          <?php if ( get_theme_mod('vw_magazine_contact','') != "" ) {?>
            <span class="call"><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('vw_magazine_contact',__('+00 1234-5678-90','vw-magazine') )); ?></span>
          <?php }?>
        </div>
        <div class="col-md-6">
          <?php if ( get_theme_mod('vw_magazine_email','') != "" ) {?>
            <span class="email"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('vw_magazine_email',__('info@youremail.com','vw-magazine')) ); ?></span>
          <?php }?>
        </div>
      </div>
    </div>
    <div class="col-lg-8 col-md-8">
      <div class="socialbox row">
        <?php if( get_theme_mod('vw_magazine_header_top_headline','')) { ?>
          <span class="top-headline col-md-8">
            <?php echo esc_html(get_theme_mod('vw_magazine_header_top_headline',__('Welcome To The Magazine Free Wordpress Theme','vw-magazine'))); ?>
          </span>
        <?php }?>
        <div class="col-md-4">
          <?php dynamic_sidebar('social-icon') ?>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="container">
  <div class="row">
    <div class="logo col-lg-3 col-md-3">
      <?php if( has_custom_logo() ){ vw_magazine_the_custom_logo();
      }else{ ?>
        <h1 class="text-sm-center text-md-left"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
        <?php $description = get_bloginfo( 'description', 'display' );
        if ( $description || is_customize_preview() ) : ?>
          <p class="site-description"><?php echo esc_html($description); ?></p>
      <?php endif; } ?>
    </div>
    <?php if( get_theme_mod('vw_magazine_header_weather_text','')) { ?>
      <div class="col-lg-2 col-md-2 pt-3">
        <div class="address media">
          <i class="fab fa-mixcloud"></i>
          <div class="media-body"><span class="hi_normal"><?php echo esc_html(get_theme_mod('vw_magazine_header_weather_text',__('New York, NA','vw-magazine')));?></span><p class="font-weight-bold"><?php echo esc_html(get_theme_mod('vw_magazine_header_percent',__('77 F','vw-magazine')));?></p>
          </div>
        </div>
      </div>
    <?php } ?>
    <?php if( get_theme_mod('vw_magazine_header_date','')){ ?>
      <div class="col-lg-2 col-md-2 pt-3">
        <div class="address media">
          <i class="far fa-clock"></i>
          <div class="media-body"><span class="hi_normal"><?php echo esc_html(get_theme_mod('vw_magazine_header_date',__('Wednesday, May 16','vw-magazine'))); ?></span><p class="font-weight-bold"><?php echo esc_html(get_theme_mod('vw_magazine_header_timing',__('5:00 PM','vw-magazine'))); ?></p>
          </div>
        </div>
      </div>
    <?php } ?>
    <div class="col-lg-5 col-md-5">
      <div class="top-banner mt-3 mb-3">
        <?php
          $args = array( 'name' => get_theme_mod('vw_magazine_top_banner_post',''));
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            while ( $query->have_posts() ) : $query->the_post(); ?>
                <img src="<?php the_post_thumbnail_url('full'); ?>"/>
                <div class="row banner-box p-3">
                  <div class="col-md-9">
                    <h3><?php the_title(); ?></h3>
                  </div>
                  <span class ="testbutton col-md-3">
                    <a href="<?php echo esc_url(the_permalink() ); ?>"><span><?php echo esc_html(get_theme_mod('vw_magazine_top_banner_button',__('BUY NOW','vw-magazine'))); ?></span></a>
                  </span>
                </div>
            <?php endwhile; 
            wp_reset_postdata();?>
            <?php else : ?>
              <div class="no-postfound"></div>
            <?php
        endif; ?>
      </div>
    </div>
  </div>
</div>